% bult from 
% carl20welfare_ineff_ss1

function [x, exitflag] = carl200_ss1

% STEADY STATE: 

global x n_ss rhox sl_ss sh_ss gamabar s_ss gamat_ss nh_ss nl_ss xit_ss

x0 = zeros(3,1)+0.5;%*rand(13,1);    %set initial guess for all variables

%options = optimset('HessUpdate', 'bfgs', 'NonlEqnAlgorithm', 'gn','MeritFunction','multiobj','LineSearchType', 'quadcubic', 'Display','iter','maxFunEvals',5000);   
%options = optimset('NonlEqnAlgorithm', 'gn', 'Display','iter','maxFunEvals',15000);   
options = optimset('Algorithm', 'trust-region-dogleg', 'Display','iter','maxFunEvals',15000)
%options = optimset('Display','iter','maxFunEvals',15000000,'MaxIter', 10000, 'TolFun', 1.5e-20);   
[x, fval, exitflag] = fsolve(@carl200_ss1_fun,x0,options); %call function with ss equations
%[x, fval, exitflag] = fminsearch(@carl20welfare_ineff_ss1_fun,x0,options); %call function with ss equations: DOPES NOT CONVERGE DO NOT USE
%exitflag

%%%% checks: solution must equal following:
%G_bar = ((b/(1-disc*(1-rho)))+((1-b)/(1-disc*(1-rho)*(1-p_ss))))^(-1);
%w_ss = G_bar*((b*mc_ss/(1-disc*(1-rho)))+mc_ss*(1-b)/((1+gama)*(1-disc*(1-rho)*(1-p_ss))));     %ss wage
%kappa = q_ss*h_ss*(mc_ss-w_ss)/(1-(1-rho)*disc);             %   vacancy posting cost



