%built on
% carl20welfare_ineff_ss1_fun

function F = carl200_ss4_fun(x)

global n_ss rhox sl_ss sh_ss gamabar s_ss gamat_ss nh_ss nl_ss xit_ss
global kw_ss h_ss rhon_ss rhot_ss mubar sigm chi_ho thetap theta
global alpha kf_ss Pi_ss ho_ss f_ss z_ss KK mu_ss a_ss eta disc phi v_ss quad


F = [  -1+x(1)/x(2)+KK; %21
        -x(3)+f_ss*x(2);     %18
        -x(3)+n_ss*z_ss*(xit_ss*((x(4)*z_ss/(mu_ss*x(5)))^(1/chi_ho))*(1-a_ss^(2+1/chi_ho))/((1-a_ss)*(2+1/chi_ho))+(1-xit_ss)*x(10)*ho_ss);  %19 
        -x(6)+x(1)+(gamabar-nl_ss)*x(11)+(1-gamabar-nh_ss)*x(11); %20
        -x(4)+(1-disc*phi)*((1-phi)*x(6))^(-sigm);  %23
        %-x(7)+x(11)+disc*(kw_ss*eta*x(8)+x(7)); %32 XXXXX ORIGINAL BEFORE CORRECTION
        -x(7)+x(11)+disc*((1-rhox)*kw_ss*eta*x(8)+x(7)); %32 MODIFIED TO MAKE CONSISTENT WITH APPENDIX KIEV
        -x(9)+disc*((1-rhox)*x(8)+x(7)); %31
        -x(8)+z_ss*x(10)*ho_ss/mu_ss-(x(5)/(1+chi_ho))*(ho_ss^(1+chi_ho))/x(4)+x(9)-x(7); %30 market equilibrium
        %-x(8)+z_ss*x(10)*ho_ss/mu_ss-(x(5)/(1+chi_ho))*(ho_ss^(1+chi_ho))/x(4)-x(11)+disc*((1-rhox)*x(8)*(1-kw_ss*eta))-disc*(1-rhox)*(1-eta)*gamat_ss*kw_ss*(x(8)-(1-rhon_ss)*x(15));  %30plan PLANNER  equilibrium
        -ho_ss+(z_ss*x(10)*x(4)/(x(5)*mu_ss))^(1/chi_ho); %29
    -a_ss*z_ss*x(4)/mu_ss+x(5)*x(12)^chi_ho;    %24
    -a_ss+(mu_ss/(z_ss*x(12)))*(x(13)-x(14)+x(5)/(x(4)*(1+chi_ho))*(a_ss*x(4)*z_ss/(x(5)*mu_ss))^((1+chi_ho)/chi_ho)); %25
    -x(15)+z_ss/mu_ss*((x(4)*z_ss/(mu_ss*x(5)))^(1/chi_ho))*(1-a_ss^(2+1/chi_ho))/((1-a_ss)*(2+1/chi_ho))-1/x(4)*x(5)/(1+chi_ho)*((x(4)*z_ss/(mu_ss*x(5)))^((1+chi_ho)/chi_ho))*(1-a_ss^(1+(1+chi_ho)/chi_ho))/((1-a_ss)*(1+(1+chi_ho)/chi_ho))-x(13)+x(14);  %26   
    %-x(15)+z_ss/mu_ss*((x(4)*z_ss/(mu_ss*x(5)))^(1/chi_ho))*(1-a_ss^(2+1/chi_ho))/((1-a_ss)*(2+1/chi_ho))-1/x(4)*x(5)/(1+chi_ho)*((x(4)*z_ss/(mu_ss*x(5)))^((1+chi_ho)/chi_ho))*(1-a_ss^(1+(1+chi_ho)/chi_ho))/((1-a_ss)*(1+(1+chi_ho)/chi_ho))-x(11)+disc*((1-rhox)*(1-rhon_ss)*x(15)*(1-kw_ss*eta))+disc*(1-rhox)*(1-eta)*(1-gamat_ss)*kw_ss*(x(8)-(1-rhon_ss)*x(15));  %26plan PLANNER equilibrium
    -x(14)+disc*((1-rhox)*(1-rhon_ss)*x(15)+x(13));  %27
    %-x(13)+x(11)+disc*(kw_ss*eta*(1-rhon_ss)*x(15)+x(13));   %28 XXX ORIGINAL BEFORE CORRECTION
    -x(13)+x(11)+disc*((1-rhox)*kw_ss*eta*(1-rhon_ss)*x(15)+x(13));   %28 MODIFIED TO MAKE CONSISTENT WITH APPENDIX KIEV
    -x(15)+(1/(gamat_ss*(1-rhon_ss)))*(quad*KK*x(2)/(v_ss*kf_ss*(1-eta))-(1-gamat_ss)*x(8))];   %33
    
%c_ss=x(1);
%y_ss=x(2);
%q_ss=x(3);
%lambda_ss = x(4);
%ell=x(5);
%ctot_ss = x(6);
%wuh_ss=x(7);
%surph_ss=x(8);
%qh_ss = x(9);
%zh_ss = x(10);
%wuhome_h = wuhome_l = x(11);
%hobar_ss = x(12);
%wul_ss = x(13);
%ql_ss = x(14);
%x_ss = x(15);


        
%%% Original 15 variables system
%F = [  -1+c_ss/y_ss+KK; %21
 %       -q_ss+f_ss*y_ss;     %18
  %      -q_ss+n_ss*z_ss*(xit_ss*((lambda_ss*z_ss/(mu_ss*ell))^(1/chi_ho))*(1-a_ss^(2+1/chi_ho))/((1-a_ss)*(2+1/chi_ho))+(1-xit_ss)*zh_ss*ho_ss);  %19 
   %      -ctot_ss+c_ss+(1-gamabar-nh_ss)*wuhome_h+(gamabar-nl_ss)*wuhome_l%      ; %20 updated
    %    -lambda_ss+(1-disc*phi)*((1-phi)*ctot_ss)^(-sigm);  %23
     %   -wuh_ss+wuhome_h+disc*(kw_ss*eta*surph_ss+wuh_ss); %32
      %  -qh_ss+disc*((1-rhox)*surph_ss+wuh_ss); %31
       % -surph_ss+z_ss*zh_ss*ho_ss/mu_ss-(ell/(1+chi_ho))*(ho_ss^(1+chi_ho))/lambda_ss+qh_ss-wuh_ss; %30
        %-ho_ss+(z_ss*zh_ss*lambda_ss/(ell*mu_ss))^(1/chi_ho); %29
        
        %-a_ss*z_ss*lambda_ss/mu_ss+ell*hobar_ss^chi_ho;    %24
    %-a_ss+(mu_ss/(z_ss*hobar_ss))*(wul_ss-ql_ss+ell/(lambda_ss*(1+chi_ho))*(a_ss*lambda_ss*z_ss/(ell*mu_ss))^((1+chi_ho)/chi_ho)); %25
    %-x_ss+z_ss/mu_ss*((lambda_ss*z_ss/(mu_ss*ell))^(1/chi_ho))*(1-a_ss^(2+1/chi_ho))/((1-a_ss)*(2+1/chi_ho))-1/lambda_ss*ell/(1+chi_ho)*((lambda_ss*z_ss/(mu_ss*ell))^((1+chi_ho)/chi_ho))*(1-a_ss^(1+(1+chi_ho)/chi_ho))/((1-a_ss)*(1+(1+chi_ho)/chi_ho))-wul_ss+ql_ss;  %26   
    %-ql_ss+disc*((1-rhox)*(1-rhon_ss)*x_ss+wul_ss);  %27
    %-wul_ss+wuhome_l+disc*(kw_ss*eta*(1-rhon_ss)*x_ss+wul_ss);   %28
    %-x_ss+(1/(gamat_ss*(1-rhon_ss)))*(KK*y_ss/(v_ss*kf_ss*(1-eta))-(1-gamat_ss)*surph_ss);   %33

        




