% bult from 
% carl20welfare_ineff_ss1

function [x, fval, exitflag] = carl200_ss4_plan

% STEADY STATE: 

global x n_ss rhox sl_ss sh_ss gamabar s_ss gamat_ss nh_ss nl_ss xit_ss zh_ss
clear x0

%x0 = zeros(15,1)+0.5;%*rand(15,1)    %set initial guess for all variables
   
   x0 = [  0.1915
       0.1945
       0.1945
       5.1346
       8.6598
       0.1948
       9.4826
       0.1096
       9.4889
       0.35
       0.059
       0.0183
       9.1207
       9.1204
       0.1017];

%options = optimset('HessUpdate', 'bfgs', 'NonlEqnAlgorithm', 'gn','MeritFunction','multiobj','LineSearchType', 'quadcubic', 'Display','iter','maxFunEvals',5000);   
%options = optimset('NonlEqnAlgorithm', 'gn', 'Display','iter','maxFunEvals',15000);   
options = optimset('Algorithm', 'trust-region-dogleg', 'Display','iter','MaxIter', 10000,'maxFunEvals',15000)
%options = optimset('Display','iter','maxFunEvals',15000000,'MaxIter', 10000, 'TolFun', 1.5e-20);   
[x, fval, exitflag] = fsolve(@carl200_ss4_fun_plan,x0,options); %call function with ss equations
%[x, fval, exitflag] = fminsearch(@carl20welfare_ineff_ss1_fun,x0,options); %call function with ss equations: DOPES NOT CONVERGE DO NOT USE
%exitflag

%%%% checks: solution must equal following:
%G_bar = ((b/(1-disc*(1-rho)))+((1-b)/(1-disc*(1-rho)*(1-p_ss))))^(-1);
%w_ss = G_bar*((b*mc_ss/(1-disc*(1-rho)))+mc_ss*(1-b)/((1+gama)*(1-disc*(1-rho)*(1-p_ss))));     %ss wage
%kappa = q_ss*h_ss*(mc_ss-w_ss)/(1-(1-rho)*disc);             %   vacancy posting cost



%c_ss=x(1);
%y_ss=x(2);
%q_ss=x(3);
%lambda_ss = x(4);
%ell=x(5);
%ctot_ss = x(6);
%wuh_ss=x(7);
%surph_ss=x(8);
%qh_ss = x(9);
%ho_ss = x(10); %USED TO BE: %zh_ss = x(10);
%wuhome_h = wuhome_l = x(11);
%hobar_ss = x(12);
%wul_ss = x(13);
%ql_ss = x(14);
%x_ss = x(15);